QB_LOOP_POLL_LOW_FDS_EVENT_SET(3)

NAME
qb_loop_poll_low_fds_event_set - Set a callback to receive events on file descriptors getting low.

SYNOPSIS
#include <qb/qbloop.h>

int32_t qb_loop_poll_low_fds_event_set(
    qb_loop_t                     *l,   /* pointer to the loop instance */
    qb_loop_poll_low_fds_event_fn  fn   /* callback function. */
);

PARAMS
l pointer to the loop instance

fn callback function.

DESCRIPTION

RETURN VALUE

status (0 == ok, -errno == failure)

SEE ALSO

qb_loop_job_del(3), qb_loop_run(3), qb_loop_create(3), qb_loop_stop(3), qb_loop_signal_del(3), qb_loop_signal_add(3), qb_loop_job_add(3), qb_loop_poll_del(3), qb_loop_destroy(3), qb_loop_timer_expire_time_remaining(3), qb_loop_poll_mod(3), qb_loop_signal_mod(3), qb_loop_timer_del(3), qb_loop_timer_add(3), qb_loop_timer_is_running(3), qb_loop_timer_expire_time_get(3), qb_loop_poll_add(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.